- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.legacySoarUsers.attachments/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.legacySoarUsers.attachments/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.legacySoarUsers.attachments/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.legacySoarUsers.attachments/list#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.legacySoarUsers.attachments/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.legacySoarUsers.attachments/list#body.ListAttachmentsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.legacySoarUsers.attachments/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.legacySoarUsers.attachments/list#body.aspect_1)

**Full name**: projects.locations.instances.legacySoarUsers.attachments.list

Lists Attachments belonging to a specific user. Use this method to retrieve a paginated list of all files uploaded by a user, with optional filtering by file name or type.

### HTTP request

`GET https://{endpoint}/v1/{parent}/attachments`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The instance to list Attachments for. Format: projects/{project}/locations/{location}/instances/{instance}/legacySoarUsers/{legacySoarUser}/attachments |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of Attachments to return. The service may return fewer than this value. |
| `pageToken` | `string` Optional. A page token, received from a previous `attachments.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `attachments.list` must match the call that provided the page token. |
| `filter` | `string` Optional. Filter to be applied over multiple Attachment fields. Only the following filters are allowed: `file`, `description`, `mimeType`, and `author`. |
| `orderBy` | `string` Optional. Configures the order in which Attachments are returned. |

### Request body

The request body must be empty.

### Response body

ListAttachmentsResponse contains the list of Attachments.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "attachments": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.legacySoarUsers.attachments#Attachment`) } ], "nextPageToken": string, "totalSize": integer } ``` |

| Fields ||
|---|---|
| `attachments[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.legacySoarUsers.attachments#Attachment`)`` The list of Attachments. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |
| `totalSize` | `integer` Optional. The total number of Attachments matching the request. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.attachments.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).